Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class AbstractConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator

Direct Known Subclasses:
  AbstractRendererConfigurator

public abstract class AbstractConfigurator
extends java.lang.Object

An abstract configurator

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger instance
`protected FOUserAgent` | `userAgent` fop factory configuration

Constructor Summary
`AbstractConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`protected org.apache.avalon.framework.configuration.Configuration` | `getConfig(java.lang.String mimeType)` Returns the configuration subtree for a specific renderer.
`abstract java.lang.String` | `getType()` Returns the configurator type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  logger instance

### userAgent

    protected FOUserAgent userAgent

  fop factory configuration

Constructor Detail

### AbstractConfigurator

    public AbstractConfigurator(FOUserAgent userAgent)

  Default constructor

Parameters:
  `userAgent` - user agent

Method Detail

### getConfig

    protected org.apache.avalon.framework.configuration.Configuration getConfig(java.lang.String mimeType)

  Returns the configuration subtree for a specific renderer.

  Parameters:
    `mimeType` - the MIME type of the renderer
  Returns:
    the requested configuration subtree, null if there's no configuration

### getType

    public abstract java.lang.String getType()

  Returns the configurator type

  Returns:
    the configurator type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.